Skip to main content
GET
/
api
/
v1
/
customer
/
benefits
/
categories
List Benefit Categories
curl --request GET \
  --url https://api.example.com/api/v1/customer/benefits/categories
import requests

url = "https://api.example.com/api/v1/customer/benefits/categories"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v1/customer/benefits/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "fareBenefitCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "<string>",
      "name": "<string>",
      "description": "<string>",
      "discountValue": 1,
      "requiredDocumentTypes": [
        "<string>"
      ],
      "eligibilityRules": {},
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "limit": 10,
    "page": 1,
    "totalItems": 142,
    "totalPages": 15
  }
}
{
"statusCode": 400,
"message": "Bad Request Error",
"errors": [
{
"code": "invalid_type",
"message": "Required",
"path": "name"
}
]
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}
{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}

Query Parameters

limit
number
default:10

Items per page.

Required range: 1 <= x <= 100
page
number
default:1

Page number.

Required range: x >= 1
filter
string

Search by category code or name.

type
enum<string>

Filter by benefit type.

Available options:
GRATUITY,
DISCOUNT
status
enum<string>

Filter by category status.

Available options:
ACTIVE,
INACTIVE
sortBy
enum<string>
default:name

Field to sort by.

Available options:
name,
createdAt
sortOrder
enum<string>
default:asc

Sort direction.

Available options:
asc,
desc
fields
string

Comma-separated list of fields to include in the response. Supports dot notation.

Response

OK

data
object[]
required
meta
object
required

Page-based pagination metadata.